<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut == true and $ya['level'] > 3) {
switch($do) {
//правила сайта
case 'pravs':
if ($ya['level'] > 5) {
if (empty($_POST['pr'])){
$diz -> head('Правила сайта');
$diz -> title('Правила сайта');
$war = $db -> query("SELECT `pravila` FROM `nastroiki`")-> fetch_row();
$msg = '<div class="fon"><form action="./infa.php?do=pravs" method="post" enctype="multipart/form-data"><div>
Правила сайта:<br/><textarea name="pr" rows="11" cols="55">'.$func -> br($war[0]).'</textarea><br/>
<input type="submit" value="Изменить"/>
</form></div>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./infa.php">Назад</a><br/>
'.$diz -> img('back.png').'<a href="./index.php">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$text = shit($_POST['pr']);
$db -> query("UPDATE `nastroiki` SET `pravila` = '".$text."'");
$diz -> head('Изменение правил');
$diz -> title('Изменение правил');
$msg = '<div class="fon">Правила сайта были изменены!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./infa.php">Назад</a><br/>
'.$diz -> img('back.png').'<a href="./index.php">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
}else{$msg .= 'У вас нету прав!';}
break;
//правила чата
case 'pravc':
if ($ya['level'] > 3) {
if (empty($_POST['pr'])){
$diz -> head('Правила чата');
$diz -> title('Правила чата');
$rul = $db -> query("SELECT `pravchat` FROM `nastroiki`");
$war = $rul -> fetch_row();
$msg = '<div class="fon"><form action="./infa.php?do=pravc" method="post" enctype="multipart/form-data"><div>
Правила чата:<br/><textarea name="pr" rows="11" cols="55">'.$func -> br($war[0]).'</textarea><br/>
<input type="submit" value="Изменить"/>
</form></div>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./infa.php">Назад</a><br/>
'.$diz -> img('back.png').'<a href="./index.php">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$text = shit($_POST['pr']);
$db -> query("UPDATE `nastroiki` SET `pravchat` = '".$text."'");
$diz -> head('Изменение правил');
$diz -> title('Изменение правил');
$msg = '<div class="fon">Правила чата были изменены!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./infa.php">Назад</a><br/>
'.$diz -> img('back.png').'<a href="./index.php">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else header('Location: ./');
break;
//правила чата
case 'praph':
if ($ya['level'] > 3) {
if (empty($_POST['ph'])){
$diz -> head('Правила фотогаллереи');
$diz -> title('Правила фотогаллереи');
$rul = $db -> query("SELECT `pravphoto` FROM `nastroiki`");
$war = $rul -> fetch_row();
$msg = '<div class="fon"><form action="./infa.php?do=praph" method="post" enctype="multipart/form-data"><div>
Правила чата:<br/><textarea name="ph" rows="11" cols="55">'.$func -> br($war[0]).'</textarea><br/>
<input type="submit" value="Изменить"/>
</form></div>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./infa.php">Назад</a><br/>
'.$diz -> img('back.png').'<a href="./index.php">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$text = shit($_POST['ph']);
$db -> query("UPDATE `nastroiki` SET `pravphoto` = '".$text."'");
$diz -> head('Изменение правил');
$diz -> title('Изменение правил');
$msg = '<div class="fon">Правила фотоальбомов были изменены!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./infa.php">Назад</a><br/>
'.$diz -> img('back.png').'<a href="./index.php">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else header('Location: ./');
break;
//правила ЗЦ
case 'pravzc':
if ($ya['level'] > 3) {
if (empty($_POST['zc'])){
$diz -> head('Правила загруз-центра');
$diz -> title('Правила загруз-центра');
$rul = $db -> query("SELECT `pravzc` FROM `nastroiki`");
$war = $rul -> fetch_row();
$msg = '<div class="fon"><form action="./infa.php?do=pravzc" method="post" enctype="multipart/form-data"><div>
Правила чата:<br/><textarea name="zc" rows="11" cols="55">'.$func -> br($war[0]).'</textarea><br/>
<input type="submit" value="Изменить"/>
</form></div>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./infa.php">Назад</a><br/>
'.$diz -> img('back.png').'<a href="./index.php">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$text = shit($_POST['zc']);
$db -> query("UPDATE `nastroiki` SET `pravzc` = '".$text."'");
$diz -> head('Изменение правил');
$diz -> title('Изменение правил');
$msg = '<div class="fon">Правила загруз-центра были изменены!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./infa.php">Назад</a><br/>
'.$diz -> img('back.png').'<a href="./index.php">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else header('Location: ./');
break;
//правила чата
case 'praob':
if ($ya['level'] > 3) {
if (empty($_POST['ob'])){
$diz -> head('Правила обменника');
$diz -> title('Правила обменника');
$rul = $db -> query("SELECT `pravobmen` FROM `nastroiki`");
$war = $rul -> fetch_row();
$msg = '<div class="fon"><form action="./infa.php?do=praob" method="post" enctype="multipart/form-data"><div>
Правила чата:<br/><textarea name="ob" rows="11" cols="55">'.$func -> br($war[0]).'</textarea><br/>
<input type="submit" value="Изменить"/>
</form></div>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./infa.php">Назад</a><br/>
'.$diz -> img('back.png').'<a href="./index.php">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$text = shit($_POST['ob']);
$db -> query("UPDATE `nastroiki` SET `pravobmen` = '".$text."'");
$diz -> head('Изменение правил');
$diz -> title('Изменение правил');
$msg = '<div class="fon">Правила обменника были изменены!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./infa.php">Назад</a><br/>
'.$diz -> img('back.png').'<a href="./index.php">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else header('Location: ./');
break;
//правила форума
case 'pravfo':
if ($ya['level'] > 4) {
if (empty($_POST['pr'])){
$diz -> head('Правила форума');
$diz -> title('Правила форума');
$rul = $db -> query("SELECT `pravfo` FROM `nastroiki`");
$war = $rul -> fetch_row();
$msg = '<div class="fon"><form action="./infa.php?do=pravfo" method="post" enctype="multipart/form-data"><div>
Правила форума:<br/><textarea name="pr" rows="11" cols="55">'.$func -> br($war[0]).'</textarea><br/>
<input type="submit" value="Изменить"/>
</form></div>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./infa.php">Назад</a><br/>
'.$diz -> img('back.png').'<a href="./index.php">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$text = shit($_POST['pr']);
$db -> query("UPDATE `nastroiki` SET `pravfo` = '".$text."'");
$diz -> head('Изменение правил');
$diz -> title('Изменение правил');
$msg = '<div class="fon">Правила форума были изменены!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./infa.php">Назад</a><br/>
'.$diz -> img('back.png').'<a href="./index.php">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else header('Location: ./');
break;
//главная
default:
$diz -> head('Админ-Панель');
$diz -> title('Админка');
$msg.='<div class="fon">';
if ($ya['level'] > 5) {$msg .= $diz -> img('r.png').'<a href="infa.php?do=pravs">Правила сайта</a><br/>';}
if ($ya['level'] > 3) {$msg .= $diz -> img('r.png').'<a href="infa.php?do=pravc">Правила чата</a><br/>';}
if ($ya['level'] > 3) {$msg .= $diz -> img('r.png').'<a href="infa.php?do=praob">Правила обменника</a><br/>';}
if ($ya['level'] > 3) {$msg .= $diz -> img('r.png').'<a href="infa.php?do=praph">Правила фотоальбомов</a><br/>';}
if ($ya['level'] > 3) {$msg .= $diz -> img('r.png').'<a href="infa.php?do=pravzc">Правила загруз-центра</a><br/>';}
if ($ya['level'] > 4) {$msg .= $diz -> img('r.png').'<a href="infa.php?do=pravfo">Правила форума</a><br/>';}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./index.php">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else {
header('location: ../index.php');
}
?>